This endpoint is still on our legacy API.
Get list of the vehicles with any engine faults or check light data.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read DVIRs under the Maintenance category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/v1/fleet/maintenance/list \
--header 'Authorization: Bearer <token>'{
"vehicles": [
{
"id": 112,
"j1939": {
"checkEngineLight": {
"emissionsIsOn": true,
"protectIsOn": true,
"stopIsOn": true,
"warningIsOn": true
},
"diagnosticTroubleCodes": [
{
"fmiId": 123,
"fmiText": "<string>",
"occurrenceCount": 123,
"spnDescription": "<string>",
"spnId": 123,
"txId": 123
}
]
},
"passenger": {
"checkEngineLight": {
"isOn": true
},
"diagnosticTroubleCodes": [
{
"dtcDescription": "<string>",
"dtcId": 123,
"dtcShortCode": "<string>"
}
]
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.samsara.com/v1/fleet/maintenance/list \
--header 'Authorization: Bearer <token>'{
"vehicles": [
{
"id": 112,
"j1939": {
"checkEngineLight": {
"emissionsIsOn": true,
"protectIsOn": true,
"stopIsOn": true,
"warningIsOn": true
},
"diagnosticTroubleCodes": [
{
"fmiId": 123,
"fmiText": "<string>",
"occurrenceCount": 123,
"spnDescription": "<string>",
"spnId": 123,
"txId": 123
}
]
},
"passenger": {
"checkEngineLight": {
"isOn": true
},
"diagnosticTroubleCodes": [
{
"dtcDescription": "<string>",
"dtcId": 123,
"dtcShortCode": "<string>"
}
]
}
}
]
}